Package Release Info

hpack-0.31.1-bp151.2.2

Update Info: Base Release
Available in Package Hub : 15 SP1

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

ghc-hpack
ghc-hpack-devel
hpack

Change Logs

Version: 0.14.1-2.3
* Wed Aug 17 2016 psimons@suse.com
- Update to version 0.14.1 revision 1 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.14.1 revision 0 with cabal2obs.
* Sat Jun 11 2016 mimi.vx@gmail.com
- update to 0.14.1
* Mon May 23 2016 mimi.vx@gmail.com
- initial commit
Version: 0.18.1-bp150.2.4
* Thu Aug 03 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.18.1.
* Mon Jun 12 2017 psimons@suse.com
- Update to version 0.17.1.
* Fri Apr 07 2017 psimons@suse.com
- Improve generated package %description.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.17.0 with cabal2obs.
Version: 0.31.1-bp151.1.7
* Sun Nov 04 2018 psimons@suse.com
- Update hpack to version 0.31.1.
  [#]# Changes in 0.31.1
  - Show the header when printing to stdout (see #331)
  - Add help for `--numeric-version`(see #337)
* Wed Oct 10 2018 psimons@suse.com
- Update hpack to version 0.31.0.
  [#]# Changes in 0.31.0
  - Add `mixin` to the fields read by dependencies when they are
    objects (see #318)
  - `hpack` now returns with a successful exit code if the `.cabal`
    file is up to date, even if it was generated by a newer version of
    `hpack`.
  [#]# Changes in 0.30.0
  - Warn on duplicate fields (see #283)
  - Always render `cabal-version` as `x.y` instead of `>= x.y` so that `cabal
    check` does not complain (see #322)
  - Extend `build-tools` so that it subsumes Cabal's `build-tools` and
    `build-tool-depends` (see #254)
  - Add support for `system-build-tools`
  - Keep declaration order for literal files in c-sources (and other fields
    that accept glob patterns).  This is crucial as a workaround for
    https://ghc.haskell.org/trac/ghc/ticket/13786 (see #324)
* Fri Aug 17 2018 psimons@suse.com
- Update hpack to version 0.29.7.
  [#]# Changes in 0.29.7
  - Expose more stuff from `Hpack.Yaml` so that it can be used by third parties
  [#]# Changes in 0.29.6
  - Add `spec-version` (see #300)
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Tue Jul 17 2018 psimons@suse.com
- Update hpack to version 0.29.5.
  - Fix a regression related to indentation sniffing (close #310)
  - Desugar ^>= when dependency is a string (see #309)
  - Add support for Apache, MPL and ISC when inferring `license` (see #305)
  - Desugar `^>=` for compatibility with `Cabal < 2` (see #213)
  - Add support for GPL, LGPL and AGPL when inferring `license` (see #305)
  - Add missing `extra-source-files` (see #302)
  - Infer `license` from `license-file`
  - Put the `cabal-version` at the beginning of the generated file. This Is
    required with `cabal-version: 2.1` and higher. (see #292)
  - With `cabal-version: 2.1` or higher omit `>=` when rendering (see #292)
  - Require `cabal-version: 2.2` when SPDX license identifiers are used (see #292)
  - Map cabal-style licenses to SPDX license identifiers when `cabal-version`
    is 2.2 or higher (see #292)
* Mon May 14 2018 psimons@suse.com
- Update hpack to version 0.28.2.
  Relevant changes are:
  - GHC 8.4.1 compatibility
  - Add support for `cxx-options` and `cxx-sources` (see #205)
  - Add support for `data-dir` (see #100)
  - Generate valid `.cabal` files when `verbatim` is used top-level (see #280)
  - Local defaults are now resolved relative to the file they are
    mentioned in, not the CWD that hpack is invoked from.
  - Major refactoring of the exposed API (much cleaner now, but lot's of
    breaking changes!)
  - Remove Git conflict markers before checking the hash of any existing
    `.cabal` files (equivalent to `git checkout --ours`).  This allows to
    regenerate the `.cabal` file on conflicts when rebasing without passing
    `-f` in some cases and helps with preserving the formatting.
  - Allow local files to be used as defaults (#248)
  - Keep non-existing literal files on glob expansion (see #101)
  - Add support for `verbatim` Cabal escape hatch
  - Allow `version` be a numbers
  - Ignore fields that start with an underscore everywhere, not just globally
  - Add support for custom decoders to allow for alternate syntax (e.g. Dhall)
  - `generated-exposed-modules` and `generated-other-modules`, for populating
    the `autogen-modules` field (#207).
  - Corrected `cabal-version` setting for `reexported-modules` inside
    a conditional.
  - Add support for `defaults`
  - Add `--numeric-version`
  - Add support for `signatures`
  - `extra-doc-files` requires setting `cabal-version` to at least
    1.18; this is now done properly.
  - Accept bool for `condition` (see #230)
  - Fix a bug in module inference for conditionals (see #236)
  - Add support for `extra-doc-files`.
  - Add support for `pkg-config-dependencies`
  - Allow dependency constraints to be numbers (see #234)
  - Accept section-specific fields in conditionals (see #175, thanks to Scott
    Fleischman)
  - New section: `internal-libraries`, for Cabal 2's internal libraries (see #200).
  - Do not overwrite any existing cabal file if it has been modified manually
  - Add support for `frameworks` and `extra-frameworks-dirs`
  - Compatibility with `Glob >= 0.9.0`
  - Add `IsList` instance for `Dependencies`
  - Add Paths_* module to executables (see #195, for GHC 8.2.1 compatibility)
  - Allow specifying dependencies as a hash (see #198)